Bug 840279 - SELinux is preventing acroread from 'create' accesses on the file SituationPoleEmploi2012.07.15.pdf.
SELinux is preventing acroread from 'create' accesses on the file SituationPo...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
17
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:d731245501b4167c0cb81b4a93b...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-15 06:27 EDT by ademard.guilain
Modified: 2012-07-15 14:20 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-15 14:20:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description ademard.guilain 2012-07-15 06:27:22 EDT
libreport version: 2.0.10
executable:     /usr/bin/python2.7
hashmarkername: setroubleshoot
kernel:         3.3.4-5.fc17.i686
time:           Sun 15 Jul 2012 12:29:20 PM CEST

description:
:SELinux is preventing acroread from 'create' accesses on the file SituationPoleEmploi2012.07.15.pdf.
:
:*****  Plugin catchall (100. confidence) suggests  ***************************
:
:If you believe that acroread should be allowed create access on the SituationPoleEmploi2012.07.15.pdf file by default.
:Then you should report this as a bug.
:You can generate a local policy module to allow this access.
:Do
:allow this access for now by executing:
:# grep acroread /var/log/audit/audit.log | audit2allow -M mypol
:# semodule -i mypol.pp
:
:Additional Information:
:Source Context                unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c
:                              0.c1023
:Target Context                unconfined_u:object_r:user_home_t:s0
:Target Objects                SituationPoleEmploi2012.07.15.pdf [ file ]
:Source                        acroread
:Source Path                   acroread
:Port                          <Unknown>
:Host                          (removed)
:Source RPM Packages           
:Target RPM Packages           
:Policy RPM                    selinux-policy-3.10.0-134.fc17.noarch
:Selinux Enabled               True
:Policy Type                   targeted
:Enforcing Mode                Enforcing
:Host Name                     (removed)
:Platform                      Linux (removed) 3.3.4-5.fc17.i686 #1 SMP Mon May
:                              7 17:45:26 UTC 2012 i686 i686
:Alert Count                   7
:First Seen                    Sat 14 Jul 2012 08:48:23 PM CEST
:Last Seen                     Sun 15 Jul 2012 12:26:19 PM CEST
:Local ID                      8aaff6ff-382f-4c9f-a9cc-eca4468e5bef
:
:Raw Audit Messages
:type=AVC msg=audit(1342347979.182:64): avc:  denied  { create } for  pid=1392 comm="acroread" name="SituationPoleEmploi2012.07.15.pdf" scontext=unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c0.c1023 tcontext=unconfined_u:object_r:user_home_t:s0 tclass=file
:
:
:Hash: acroread,mozilla_plugin_t,user_home_t,file,create
:
:audit2allowunable to open /sys/fs/selinux/policy:  Permission denied
:
:
:audit2allow -Runable to open /sys/fs/selinux/policy:  Permission denied
:
:
Comment 1 Miroslav Grepl 2012-07-15 14:20:29 EDT
You can either remove the mozplugger package by executing 

# yum remove mozplugger 

or you can turn off the unconfined_mozilla_plugin_transition boolean using 

# setsebool -P unconfined_mozilla_plugin_transition 0.

Note You need to log in before you can comment on or make changes to this bug.